gnutls_dtls_get_data_mtu(3)

NAME
gnutls_dtls_get_data_mtu - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned int gnutls_dtls_get_data_mtu(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function will return the actual maximum transfer unit for application data. I.e. DTLS headers are subtracted from the actual MTU.

RETURNS
the maximum allowed transfer unit.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.